Skip to main content
PATCH
Patch webhook item

Authorizations

Authorization
string
header
required

Authentication with an API key can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}. API keys are issued and revoked directly from the creditor portal under Developers > API.

Path Parameters

tenantId
string<uuid>
required

Id of the tenant

itemId
string<uuid>
required

Id of the webhook item

Query Parameters

creditorId
string<uuid>
required

Your creditor id. You can find it on the API page in the creditor portal.

Body

application/json

Patch webhook item

state
enum<string>
required

Webhook item state

Available options:
PENDING,
SUCCESS,
FAILED_AND_NOTIFIED,
FAILED_AWATING_NOTIFICATION,
FAILED_NO_NOTIFICATION

Response

Successful operation

The response is of type object.